# Poco

# class SplitterChannel

Library: Foundation
Package: Logging
Header: Poco/SplitterChannel.h

## Description

This channel sends a message to multiple channels simultaneously.

## Inheritance

Direct Base Classes: Channel

All Base Classes: Channel, Configurable, RefCountedObject

Known Derived Classes: Poco::Net::RemoteSyslogListener

## Member Summary

Member Functions: addChannel, close, count, log, removeChannel, setProperty

Inherited Functions: close, duplicate, getProperty, log, open, referenceCount, release, setProperty

## Constructors

### SplitterChannel

SplitterChannel();

Creates the SplitterChannel.

## Destructor

### ~SplitterChannel

~SplitterChannel();

## Member Functions

### addChannel

void addChannel(
Channel * pChannel
);

Attaches a channel, which may not be null.

### close

void close();

Removes all channels.

See also: Poco::Channel::close()

### count

int count() const;

Returns the number of channels in the SplitterChannel.

### log

void log(
const Message & msg
);

Sends the given Message to all attaches channels.

See also: Poco::Channel::log()

### removeChannel

void removeChannel(
Channel * pChannel
);

Removes a channel.

### setProperty

void setProperty(
const std::string & name,
const std::string & value
);

Sets or changes a configuration property.

Only the "channel" property is supported, which allows adding a comma-separated list of channels via the LoggingRegistry. The "channel" property is set-only. To simplify file-based configuration, all property names starting with "channel" are treated as "channel".

See also: Poco::Channel::setProperty()